package com.winhc.bigdata.spark.ng.dynamic.utils

import com.winhc.bigdata.spark.ng.dynamic.utils.DynamicFiledUtils.createSimpleDynamicInfo
import org.apache.spark.internal.Logging

/**
 * @author ZhangJi
 * @since 2021-07-08 17:26
 */
trait SimpleDailyDynamic extends Logging {
  def getDynamicInfo(new_data: Map[String, String]): (String, Map[String, Any]) = {
    try {
      createSimpleDynamicInfo(this.getClass.getSimpleName, new_data)
    } catch {
      case e: Exception => logError("xjk:"+e.getMessage, e)
      (null, Map.empty)
    }
  }

}
